This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 920411 - [abrt] compiz-0.8.8-17.fc17: Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
[abrt] compiz-0.8.8-17.fc17: Process /usr/bin/compiz was killed by signal 11 ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
18
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Wolfgang Ulbrich
Fedora Extras Quality Assurance
abrt_hash:187850830f8939d2bc5769199f5...
:
: 955873 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-11 23:47 EDT by KitchM
Modified: 2014-05-23 17:29 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:19:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: backtrace (13.74 KB, text/plain)
2013-03-11 23:47 EDT, KitchM
no flags Details
File: cgroup (126 bytes, text/plain)
2013-03-11 23:47 EDT, KitchM
no flags Details
File: core_backtrace (1.08 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: dso_list (4.28 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: environ (1.43 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: limits (1.29 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: maps (20.77 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: open_fds (367 bytes, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: proc_pid_status (923 bytes, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: smolt_data (2.57 KB, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: var_log_messages (325 bytes, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
File: xsession_errors (630 bytes, text/plain)
2013-03-11 23:48 EDT, KitchM
no flags Details
Installed components (105.20 KB, image/png)
2013-04-24 12:24 EDT, KitchM
no flags Details
Installed components with extra dependencies (102.64 KB, image/png)
2013-04-24 12:25 EDT, KitchM
no flags Details

  None (edit)
Description KitchM 2013-03-11 23:47:53 EDT
Version-Release number of selected component:
compiz-0.8.8-17.fc17

Additional info:
backtrace_rating: 3
cmdline:        compiz --replace --sm-disable --ignore-desktop-hints ccp
executable:     /usr/bin/compiz
kernel:         3.7.9-104.fc17.x86_64
uid:            1000
ureports_counter: 1

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 ??
 #1 _dbus_timeout_list_add_timeout at dbus-timeout.c:320
 #2 protected_change_timeout at dbus-connection.c:816
 #3 _dbus_connection_add_timeout_unlocked at dbus-connection.c:849
 #4 _dbus_connection_attach_pending_call_unlocked at dbus-connection.c:911
 #5 dbus_connection_send_with_reply at dbus-connection.c:3447
 #6 dbus_connection_send_with_reply_and_block at dbus-connection.c:3543
 #7 dbus_bus_release_name at dbus-bus.c:1223
 #8 dbusFiniCore at dbus.c:2446
 #9 finiObjectTree at plugin.c:434
Comment 1 KitchM 2013-03-11 23:47:56 EDT
Created attachment 708735 [details]
File: backtrace
Comment 2 KitchM 2013-03-11 23:47:58 EDT
Created attachment 708736 [details]
File: cgroup
Comment 3 KitchM 2013-03-11 23:48:00 EDT
Created attachment 708737 [details]
File: core_backtrace
Comment 4 KitchM 2013-03-11 23:48:01 EDT
Created attachment 708738 [details]
File: dso_list
Comment 5 KitchM 2013-03-11 23:48:03 EDT
Created attachment 708739 [details]
File: environ
Comment 6 KitchM 2013-03-11 23:48:05 EDT
Created attachment 708740 [details]
File: limits
Comment 7 KitchM 2013-03-11 23:48:07 EDT
Created attachment 708741 [details]
File: maps
Comment 8 KitchM 2013-03-11 23:48:09 EDT
Created attachment 708742 [details]
File: open_fds
Comment 9 KitchM 2013-03-11 23:48:11 EDT
Created attachment 708743 [details]
File: proc_pid_status
Comment 10 KitchM 2013-03-11 23:48:12 EDT
Created attachment 708744 [details]
File: smolt_data
Comment 11 KitchM 2013-03-11 23:48:14 EDT
Created attachment 708745 [details]
File: var_log_messages
Comment 12 KitchM 2013-03-11 23:48:16 EDT
Created attachment 708746 [details]
File: xsession_errors
Comment 13 Wolfgang Ulbrich 2013-03-12 05:31:52 EDT
I see you're using xfce.
Can you give more info?
How did you start compiz?
Does the issue happens evertime if you start compiz.
Or does this happens in a running seesion with compiz and you do nothing?
What did you do exactly when the issue occurs?
Comment 14 KitchM 2013-03-12 12:26:55 EDT
Yes, I am using Xfce.

I started Compiz by installing it with yumex and found that nothing happened.  Then I found an item unter the System menu entitile Compiz Fusion Icon.  Once I selected that, I found it in the system tray. Right clicking gave me the context menu and the ability to find the various settings.  Then I selected to Reload Window Manager from the same place.  Most of my settings, but not all, seemed to take affect.

I have found that things between it and Xfce are not quite as they should be.  There appear to be settings conflicts and missing parts of the Settings Manager for Xfce, among others.

I have added Compiz to the Session and Startup section of Xfce.

The same odd behavior happens all the time.

Just starting the icon now caused ABRT to pop up again.

Beyond this, I can only surmise. My best guestimate is that Compiz is not syncing well with some DE's and/or there are parts stepping on each other's toes.
Comment 15 KitchM 2013-03-12 12:44:06 EDT
As far as I know, I Just started the Compiz Fusion Icon.

backtrace_rating: 3
cmdline:        /usr/bin/compiz --replace ccp
executable:     /usr/bin/compiz
kernel:         3.7.9-104.fc17.x86_64
package:        compiz-0.8.8-17.fc17
reason:         Process /usr/bin/compiz was killed by signal 11 (SIGSEGV)
uid:            1000
ureports_counter: 1
Comment 16 Wolfgang Ulbrich 2013-03-12 18:03:11 EDT
I've tested compiz and xfce in f18 and here it works well with the default configuration. But xfce isn't my default desktop, so it was only a short test.
Compiz was designed for working with gnome2 and i've adjusted it for mate.
So, not all plugins will work in xfce.
After installation you should start compiz with the fusion-icon for the first time. If everthing goes well you can use the 'compiz-xfce-emerald' script in autostart, which is in the compiz-xfce subpackge.
Or use fusion-icon in autostart.
In Mate or lxde we have a possibility to use this scripts directly in the configuration settings as window manager, but i don't know how to do this in xfce.
My porposal:
Remove the ~.config/compiz folder for getting a clean configuration.
Than start fusion-icon from a terminal to see error messages.
Normaly compiz should enabled at this point with emerald as windows decorator, without changing anything in ccsm starting from the fusion-icon applet.
If something is wrong try to start compiz with the 'compiz-manger' from the terminal, you've to install it first.
Because this script makes some test if it possible to use compiz on your desktop.

But i will install xfce in f17 to see if i run in the same issue.
Comment 17 Wolfgang Ulbrich 2013-03-12 18:05:56 EDT
sorry, i meant 'compiz-manager'
Comment 18 KitchM 2013-03-13 14:12:38 EDT
When you install it, please note that it removes the sections of Xfce's Settings Manager that are entitled Window Manager and Window Manager Tweaks.  Also, the labels of open programs are hidden by default when switching desktops.  Only the current workspace programs are listed on the taskbar.  Further, the 3D effects do not work.
Comment 19 Wolfgang Ulbrich 2013-03-13 18:05:43 EDT
I did an installation of xfce in f17 and compiz is running whithout problems.
That means:
doing a yum groupinstall
login xfce
change nothing
start compiz with fusion-icon with my compiz configuration from mate.

For me it is very difficult to help you if i can't confirm the issue.
Did you try my porposal?
This is my ~.config/compiz/compizconfig/Default.ini

[decoration]
as_command = emerald --replace

[core]
as_active_plugins = core;dbus;glib;place;png;regex;resize;screenshot;svg;video;imgjpeg;mousepoll;session;text;thumbnail;showmouse;matecompat;decoration;obs;wall;animation;expo;shift;animationaddon;fade;move;scale;switcher;
as_click_to_focus = false
s0_hsize = 8

[animation]
s0_open_durations = 300;150;150;
s0_close_durations = 300;150;150;
s0_minimize_effects = animation:Glide 1;
s0_glide1_away_angle = -90,000000
s0_zoom_from_center = 2

[thumbnail]
s0_current_viewport = false

[expo]
as_exit_button = Disabled

[scale]
as_initiate_all_edge = BottomRight

[shift]

[matecompat]
as_run_command_terminal_key = <Super>t

[screenshot]

[wall]
as_miniscreen = true
as_preview_scale = 218
as_edge_radius = 10

[snap]

[place]
s0_mode = 2
s0_viewport_matches = class=Firefox;class=Claws-mail & type=Normal;
s0_viewport_x_values = 2;8;
s0_viewport_y_values = 1;1;
s0_force_placement_match = class=Claws-mail

[rotate]
s0_zoom = 1,259100
s0_snap_top = true
s0_timestep = 6,137300

[cube]
s0_images = /home/rave/Bilder/Wallpapers/Wallpapers-room_com___Emblem_by_Shortgreenpigg_1600x1200.jpg;
s0_skydome_image = /home/rave/Bilder/Wallpapers/Wallpapers-room_com___Jolly_R0gers_by_xxoblivionxx_1920x1200.jpg
s0_active_opacity = 56,171299
s0_transparent_manual_only = false
s0_skydome = true

[obs]

[cubemodel]
s0_global_model_scale_factor = 49.000000
s0_render_front_and_back = true

[showmouse]
s0_random = true

[session]
as_save_legacy = true

Maybe you have a plugin enabled which doesn't work with xfce?
Comment 20 KitchM 2013-03-13 19:38:07 EDT
yum responds with group compiz does not exist.

Also, I had wondered about incompatibilities, but not knowing the list of plugins and whether or not they work with a given DE does not make it possible for me to figure that last question out.
Comment 21 Wolfgang Ulbrich 2013-03-13 20:14:40 EDT
(In reply to comment #20)
> yum responds with group compiz does not exist.
i did a groupinstall for installing xfce
> 
> Also, I had wondered about incompatibilities, but not knowing the list of
> plugins and whether or not they work with a given DE does not make it
> possible for me to figure that last question out.

core;dbus;glib;place;png;regex;resize;screenshot;svg;video;imgjpeg;mousepoll;session;text;thumbnail;showmouse;matecompat;decoration;obs;wall;animation;expo;shift;animationaddon;fade;move;scale;switcher;

Those plugins are working in xfce f17 on my system.
Others are not tested by me for xfce.

Can you pls post the output of 'compiz-manager' in a terminal.
Comment 22 KitchM 2013-03-14 13:31:20 EDT
I haven't forgotten this issue and will get back to you very soon.  But I just misconfigured my desktop and can't get back to Xfce right now.  (I hate programming that does not warn a person when setting changes might break something vital.)

Back soon.
Comment 23 KitchM 2013-04-23 22:08:24 EDT
Thanks for your patience.  I had to take compiz out to continue using my environment.  So there was no compiz-manager.

However, I installed it again, and I rebooted the system.  However, compiz does not exist on any menu anywhere.

The output of compiz-manager now is:
xset q doesn't reveal the location of the log file. Using fallback /var/log/Xorg.0.log 
Detected PCI ID for VGA: 01:00.0 0300: 1002:68d9 (prog-if 00 [VGA controller])
Checking for texture_from_pixmap: present. 
Checking for non power of two support: present. 
Checking for Composite extension: present. 
Comparing resolution (1024x768) to maximum 3D texture size (16384): Passed.
Checking for nVidia: not present. 
Checking for FBConfig: present. 
Starting emerald
failed to send notification
/usr/bin/compiz (core) - Error: Plugin 'text' not loaded.

/usr/bin/compiz (group) - Warn: No compatible text plugin loaded.


Hope this helps.

Thanks again.
Comment 24 KitchM 2013-04-23 22:30:32 EDT
After I used Ctrl-C, there was more:
^C/usr/bin/compiz-manager: line 370:  2259 Segmentation fault      (core dumped) ${COMPIZ_BIN_PATH}${COMPIZ_NAME} $COMPIZ_OPTIONS "$@" $COMPIZ_PLUGINS
/usr/bin/compiz-manager: line 370: /usr/bin/marco: No such file or directory

What is more is that the desktop environment became unstable, so I rebooted and uninstalled compiz yet again.

ABRT popped up with a new problem reported as bug 955873.
Comment 25 Wolfgang Ulbrich 2013-04-24 04:26:57 EDT
(In reply to comment #24)
> After I used Ctrl-C, there was more:
> ^C/usr/bin/compiz-manager: line 370:  2259 Segmentation fault      (core
> dumped) ${COMPIZ_BIN_PATH}${COMPIZ_NAME} $COMPIZ_OPTIONS "$@" $COMPIZ_PLUGINS
> /usr/bin/compiz-manager: line 370: /usr/bin/marco: No such file or directory
>
Here the script looks for marco (mate-window-manager), but compiz is build without a gtk-windows-decorator, normaly the script starts at this point emerald as decorator.
Can you try to start compiz with
/usr/bin/fusion-icon -v  if installed. 
> What is more is that the desktop environment became unstable, so I rebooted
> and uninstalled compiz yet again.
Does that mean your desktop is unstable if compiz is installed but without running compiz? 
> 
> ABRT popped up with a new problem reported as bug 955873.

(In reply to comment #23)
> Thanks for your patience.  I had to take compiz out to continue using my
> environment.  So there was no compiz-manager.
> 
> However, I installed it again, and I rebooted the system.  However, compiz
> does not exist on any menu anywhere.
There is no desktop file for it, i added one in next release.
Fusion-icon gives you a possibility to start compiz from the menu.
> 
> The output of compiz-manager now is:
> xset q doesn't reveal the location of the log file. Using fallback
> /var/log/Xorg.0.log 
> Detected PCI ID for VGA: 01:00.0 0300: 1002:68d9 (prog-if 00 [VGA
> controller])
> Checking for texture_from_pixmap: present. 
> Checking for non power of two support: present. 
> Checking for Composite extension: present. 
> Comparing resolution (1024x768) to maximum 3D texture size (16384): Passed.
> Checking for nVidia: not present. 
> Checking for FBConfig: present. 
> Starting emerald
> failed to send notification
seems to be a prop with dbus.
> /usr/bin/compiz (core) - Error: Plugin 'text' not loaded.
> 
> /usr/bin/compiz (group) - Warn: No compatible text plugin loaded.
This happens if the text plugin isn't enabled.
> 
> 
> Hope this helps.
> 
> Thanks again.

@ bug 955873
In next release i disabled dbus complete. For now can you check if the dbus plugin is enable in ccsm and disable it.
Same for glib plugin.

Can you post me a list which compiz package are installed if you want to try again. 

For me it is a little bit weird that compiz doesn't work on your desktop with xfce, because i did test it yesterday again in f18 with new compiz packages.
Comment 26 Wolfgang Ulbrich 2013-04-24 04:32:38 EDT
*** Bug 955873 has been marked as a duplicate of this bug. ***
Comment 27 Wolfgang Ulbrich 2013-04-24 04:45:53 EDT
I forgot.
If you give compiz another chance then remove all config files before.
~.config/compiz/*
~.cache/compizconfig/*
Comment 28 KitchM 2013-04-24 12:23:43 EDT
 I just booted up my system and I noticed that it reset my six desktop to the Xfce default of four.  No problem changing it back to six.  This must have been left over from that last uninstall.

One of the stability issues is that windows lose their menu bar, and the title bar is stripped of its buttons and function.  For instance, there is no close ability.  Since I auto-hide my panel, it does not pop up when the mouse is there.  I must use the keyboard's special key to reach a menu so that the system can be reset.  I hope that explains the details of the instability.  I guess one would call it a problem with usability.  Compiz seems to take over and wipes out display features without replacing them.

I should also point out that I remember I used to have a compiz item on the menu when first I used it when using it with Fedora 17.  I cannot remember if it was available after upgrading to 18.  (There is always that lack of continuity between OS versions, to say nothing of the problems with various programs and desktop environments on top of it all.  This makes my diagnosis very inaccurate.)

In any case, I removed everything you mentioned by simply eliminating ~.config/compiz/* and ~.cache/compizconfig/* ,

By the way, why would it use marco, the mate window manager when I am using xfce?  That makes no sense.  I had even installed the xfce component.

Please see attachments for pictures of yumex screens to see the components installed, and the dependencies added.

After install I checked /etc/compizconfig/config:
[kde4_session]
backend = kconfig4
integration = true
plugin_list_autosort = true

[kde_session]
backend = kconfig
integration = true
plugin_list_autosort = true

[mate_session]
backend = ini
plugin_list_autosort = true

[general]
backend = ini
plugin_list_autosort = true


I also found there is no program entitled compizconfig or compiz-config that will run from the command line either as user or root.

Also, xfce has a compositor feature.  Should it be left on or turned off?

I will now reboot and see what happens.
Comment 29 KitchM 2013-04-24 12:24:55 EDT
Created attachment 739515 [details]
Installed components
Comment 30 KitchM 2013-04-24 12:25:49 EDT
Created attachment 739517 [details]
Installed components with extra dependencies
Comment 31 KitchM 2013-04-24 12:38:21 EDT
Upon reboot, there was a new entry in the xfce settings menu: CompizConfig Settings Manager.

I opened it and found that it did not pick up on the xfce workspaces setting.  It had number of desktops at 1.  I changed it to 6.  Nothing happened when I closed it.

I reopened it and turned on Desktop Cube and Rotate Cube which turned off Desktop Wall.  Nothing happened when changing desktops.

I next turned off the xfce display compositor.  No change.

I will not reboot the system.
Comment 32 Fedora Update System 2013-04-25 06:15:12 EDT
compiz-0.8.8-16.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-16.fc18
Comment 33 Fedora Update System 2013-04-25 06:15:26 EDT
compiz-0.8.8-16.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/compiz-0.8.8-16.fc19
Comment 34 Fedora Update System 2013-04-25 06:15:38 EDT
compiz-0.8.8-18.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/compiz-0.8.8-18.fc17
Comment 35 Wolfgang Ulbrich 2013-04-25 07:16:32 EDT
Your package list is OK, maybe you can also install emerald-themes and emerald-themes-extra to have more decorator themes.
But the default theme is in the emerald package, so the decorator should work.
(In reply to comment #31)
> Upon reboot, there was a new entry in the xfce settings menu: CompizConfig
> Settings Manager.
> 
> I opened it and found that it did not pick up on the xfce workspaces
> setting.  It had number of desktops at 1.  I changed it to 6.  Nothing
> happened when I closed it.
> 
> I reopened it and turned on Desktop Cube and Rotate Cube which turned off
> Desktop Wall.  Nothing happened when changing desktops.
Can you in general not changing a setting or only for this plugins?
Pls check if the ini configuration backend is set in ~.config/compiz/compizconfig/config
backend = ini
> 
> I next turned off the xfce display compositor.  No change.
In case of using compiz, compiz is the windows-manager with emerald as decorator, and xfwm4 isn't active.
So changing here something doesn't have any effect.

(In reply to comment #28)
> By the way, why would it use marco, the mate window manager when I am using
> xfce?  That makes no sense.  I had even installed the xfce component.
No, you don't need to use marco.
- for windows-manager = compiz
- for windows-decorator = emerald

I thing compiz isn't really active on you system, because if nothing happens in ccsm than compiz or/and the ini backend isn't active.

Can you start compiz with
fusion-icon -v in terminal and post the output here?

By the way, in the updated compiz package dbus which points to your backtrace is completely removed, so maybe this fixed your issue.
Comment 36 Wolfgang Ulbrich 2013-04-25 07:27:49 EDT
opps,
i saw you're using german language in the screenshot?
I'm also german. I you're using #irc i can help you in fedora-de on freenode this evening. My nick name is raveit65
Comment 37 KitchM 2013-04-25 09:21:02 EDT
All it says is:
[general]
profile = 
integration = true

I ran fusion-icon -v from a terminal.  The screen flashed, and I could get to the panels.  However, I could not switch between the five programs open on the desktop and the six desktops showed empty windows and no way to select them.  In other words, the programs were all probaly open, but they did not show in the workspace switcher in the panel.  I tried to close one program from right-click on the panel taskswitcher, but that did nothing that I could tell.

I tried Ctrl=C to stop the task, but was unable to capture the text.  Had to shut down and restart from the panel exit button.

Sorry, but I do not speak German.  Although my mother was part German, I never learned the language and only use English.

When do you think the upgrade will be available?

Thanks for your help.
Comment 38 Wolfgang Ulbrich 2013-04-25 10:14:09 EDT
(In reply to comment #37)
> All it says is:
> [general]
> profile = 
> integration = true
Same by me in another user account with xfce.
But can you edit it to
[general]
backend = ini
profile = 
integration = true
plugin_list_autosort = true
> 
> I ran fusion-icon -v from a terminal.  The screen flashed, and I could get
> to the panels.  However, I could not switch between the five programs open
> on the desktop and the six desktops showed empty windows and no way to
> select them.  In other words, the programs were all probaly open, but they
> did not show in the workspace switcher in the panel.  I tried to close one
> program from right-click on the panel taskswitcher, but that did nothing
> that I could tell.
Sounds like the  open windows has no decorator with buttons?
That means emerald windows-decorator doesn't start.
> 
> I tried Ctrl=C to stop the task, but was unable to capture the text.  Had to
> shut down and restart from the panel exit button.
:( my hope was to get more infos about what happend.
Ok, than try another thing.
Open 3 terminals.
One for restarting xfwm4 window-manager to avoid restarting the session, type 'xfwm4 --replace' but do not execute it for the moment.
In the second terminal use 'emerald --replace'
In the third terminal use 'compiz --replace --sm-disable --ignore-desktop-hints ccp'
1. Now execute the second one, nothing should happend because compiz isn't running, but you should see a error message if the prozess hangs.
2. execute the second terminal.
Do you see any error messages?
Hope that you can copy now the output.

> When do you think the upgrade will be available?
> 
> Thanks for your help.

The new versions should be available in 1 or 2 days in update-testing.
Comment 39 KitchM 2013-04-25 16:36:01 EDT
I updated config as you suggested.

From each terminal, there was a need to do Ctrl-C because it was just waiting at a blank line after the command.

I ran terminal 2 command, followed by terminal 3 command.

Error from terminal 3:
compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image format

No errors on other terminals.

However, terminal 3 did cause the various programs to be collected into the first workspace, and they did not go back after closing 2 and 3, and then running terminal 1 command.
Comment 40 Wolfgang Ulbrich 2013-04-25 18:08:19 EDT
(In reply to comment #39)
> I updated config as you suggested.
> 
> From each terminal, there was a need to do Ctrl-C because it was just
> waiting at a blank line after the command.
This is OK for terminal 2 because emerald can't be execute without compiz from terminal 3.
Don't do execute crtl+x because it kills the command.
You can use 'xfwm4 --replace &' for the 1 terminal, in result xfwm4 is still running until you close the terminal. 
> 
> I ran terminal 2 command, followed by terminal 3 command.
> 
> Error from terminal 3:
> compiz (video) - Warn: No 8 bit GLX pixmap format, disabling YV12 image
> format
This is normal.
> 
> No errors on other terminals.
> 
> However, terminal 3 did cause the various programs to be collected into the
> first workspace, and they did not go back after closing 2 and 3, and then
> running terminal 1 command.
Can you run the commands with terminal 2 and 3 again without using crtl+x ?
Do you see a windows-decorator (emerald)?
Errors?
Comment 41 Wolfgang Ulbrich 2013-04-25 18:10:44 EDT
PS:
command in terminal 1 is only to give you back a usable xfce session.
Comment 42 Wolfgang Ulbrich 2013-04-25 18:11:49 EDT
sorry, i meant crtl+c
Comment 43 KitchM 2013-04-26 10:16:03 EDT
I did precisely what you said to do.  The response is that nothing happened except the command in terminal 3 caused the message to appear and the changes to occur as I described.

It is not useful to continue that test as you describe it.  The same thing happens no matter what.  I cannot have an unusable system.
Comment 44 Fedora Update System 2013-04-29 07:51:33 EDT
compiz-0.8.8-19.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/compiz-0.8.8-19.fc17
Comment 45 Fedora Update System 2013-04-29 07:51:50 EDT
compiz-0.8.8-19.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-19.fc18
Comment 46 Fedora Update System 2013-04-29 07:52:00 EDT
compiz-0.8.8-19.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/compiz-0.8.8-19.fc19
Comment 47 Wolfgang Ulbrich 2013-04-29 08:20:25 EDT
(In reply to comment #43)
> I did precisely what you said to do.  The response is that nothing happened
> except the command in terminal 3 caused the message to appear and the
> changes to occur as I described.
> 
> It is not useful to continue that test as you describe it.  The same thing
> happens no matter what.  I cannot have an unusable system.
I'm a little surprise that 'xfwm4 --replace' didn't give you a usable desktop back.
But i understand that you don't want test anymore.
For me it is difficult now to decide if this is a bug or not, because i can start and use compiz without any probs in a xfce session for f18 and f17.
I result there is no clue for me where i can search for a an issue in the program.
Comment 48 KitchM 2013-04-29 10:11:52 EDT
Sorry, Wolfgang, I didn't mean to mislead you.  I do want to keep testing.  There simply was no reason to do the same test again.  Just give me something different to do.

And, yes, I got the desktop back as you described originally.  Only compiz does not work.

I hope that is clearer.

As always, thanks for your help.
Comment 49 Fedora Update System 2013-05-03 21:47:13 EDT
compiz-0.8.8-19.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 50 Wolfgang Ulbrich 2013-05-04 04:40:04 EDT
Here is a user who has compiz working after he switch from gnome-shell to xfce :)
http://forums.fedoraforum.org/showthread.php?t=290890
Comment 51 KitchM 2013-05-05 13:43:38 EDT
Wow!  That link shows the huge confusion around compiz.  There are so many caveats and misunderstandings about it that one wonders if it is actually ready for primetime at all.

Since I already us Xfce, then the problems I am having go even further into uncharted space.

This problem started with FC17 and will only be possibly fixed by FC19.  Maybe.  I'm not convinced it is worth trying again.  (Heck, I still can't get my scanner to work in fedora.)

Thanks, Wolfgang.
Comment 52 Wolfgang Ulbrich 2013-05-05 15:25:44 EDT
Thanks for your appreciation.
One of the main prob with compiz it that i currently hang on an old version, 0.8.8.
This is stable in most cases but it isn't under development anymore.
Which means, without me there are 2 MATE devs who are working on current fedora version.
For the the future i want to step to current > 0.9.9.10 version.
But this version didn't work for the moment in fedora.
Unfortunately, compiz upstream hardcoded a lot of stuff to /usr/lib, which is a mess for rpm based distros.
See which probs i have to handle in this point.
https://bugs.launchpad.net/compiz/+bug/1163611
If compiz doesn't fix it i can't start to think about to get closer to upstream.

Last but not least.
http://lists.fedoraproject.org/pipermail/xfce/2013-February/001780.html
I was very disapointed that there was no feedback and interest from xfce maintainers.
They only reasign old bugs with compiz-0.9.x from older fedora releases to me,..........
Comment 53 KitchM 2013-05-06 12:55:01 EDT
I understand your frustration.  After over 30 years working in the computer industry, I understand it all too well.

While I appreciate the labor of love that so many offer in the FOSS community, when they get tired of a project, they just stop working on it for awhile or for ever.  In a paid position, that never happens.  I, for one, prefer to pay for quality software.  If I could find it.

I also understand that compiz is actually still beta.  I shouldn't expect too much.  But I do get tired of waiting to use what others already have.

The other problem you pointed out is a common one in software design.  Programmers hardcode things they never should, while not programming the software to stand on its own as they should.  Too many dependencies with too many exceptions for the Linux distro community.

I have been using Xfce on all my desktops for quite a few years now.  The instability and confusion that is brought into the picture from KDE and Gnome is just too much, and it is not getting better.

But there has been a problem with Xfce design as well.  I think that only a couple people are working on it, and they don't have much time for feedback.  My personal experience indicates that they, like so many other programmers, are looking for the next big thing, rather than perfecting what they aready have that works fairly well.  I call that the "Microsoft disease".

I will open a question about compiz compatability with them and see what response I receive.

In the mean time, please know that your efforts are greatly appreciated, and I will be glad to do testing the the latest Fedora and Xfce (as offered in the Fedora repositories) any time.

Thanks again.
Comment 54 Fedora Update System 2013-05-08 19:52:30 EDT
compiz-0.8.8-21.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-21.fc18
Comment 55 Fedora Update System 2013-05-08 20:00:11 EDT
compiz-0.8.8-21.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/compiz-0.8.8-21.fc17
Comment 56 Fedora Update System 2013-05-08 20:00:27 EDT
compiz-0.8.8-21.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/compiz-0.8.8-21.fc19
Comment 57 Fedora Update System 2013-05-14 00:35:58 EDT
compiz-0.8.8-21.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 58 Fedora Update System 2013-05-18 22:28:39 EDT
compiz-0.8.8-21.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 59 KitchM 2013-05-19 15:20:48 EDT
Okay, I've just upgraded compiz as available this morning in repos.  Here is what I found.

- Some things in CCSM are greyed-out and cannot be selected; such as wobbly windows.

- There are no instructions for turning these things on or what are the prerequisites for any single feature.

- Rotate cube is on but it will not work.

- Compiz is still messing around with the panel settings and the workspace settings of Xfce.  The first thing it did was jam all programs into workspace one.  However, it did keep the correct number of workspaces this time.  Then the second thing it did was block the ability for the task manager to show all workspace programs.  It just shows the ones that are on the selected workspace, even though the Xfce task manager is set to show all.

- I am able to switch between window managers with the compiz icon.  But, sadly, switching back to Xfce caused running programs to be lost until selecting to start them again.  In which case, they just became visible again.

I'm afraid it isn't quite ready for primetime yet.  Bummer.  I was really looking forward to using it.

Thanks for your good efforts.
Comment 60 Fedora Update System 2013-05-26 12:32:07 EDT
compiz-0.8.8-22.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/compiz-0.8.8-22.fc18
Comment 61 Fedora End Of Life 2013-12-21 10:45:09 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 62 Fedora End Of Life 2014-02-05 18:19:55 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 63 Cordova Andres 2014-05-23 17:29:45 EDT
Yo lo solucione instalando abrt-addon-kerneloops:
#yum install abrt-addon-kerneloops

Tengo kernel: 2.6.32-431.17.1

Espero les ayude.

Note You need to log in before you can comment on or make changes to this bug.